package com.zbf.system.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper; //添加
import com.zbf.system.domain.TSeq;

/**
 * generateSeqMapper接口
 *
 * @author wgs
 * @date 2024-06-21
 */
public interface TSeqMapper extends BaseMapper<TSeq> //修改
{
    /**
     * 查询generateSeq
     *
     * @param id generateSeq主键
     * @return generateSeq
     */
    public TSeq selectTSeqById(Long id);

    /**
     * 查询generateSeq列表
     *
     * @param tSeq generateSeq
     * @return generateSeq集合
     */
    public List<TSeq> selectTSeqList(TSeq tSeq);

    /**
     * 新增generateSeq
     *
     * @param tSeq generateSeq
     * @return 结果
     */
    public int insertTSeq(TSeq tSeq);

    /**
     * 修改generateSeq
     *
     * @param tSeq generateSeq
     * @return 结果
     */
    public int updateTSeq(TSeq tSeq);

    /**
     * 删除generateSeq
     *
     * @param id generateSeq主键
     * @return 结果
     */
    public int deleteTSeqById(Long id);

    /**
     * 批量删除generateSeq
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTSeqByIds(Long[] ids);

    /**
     * 批量启用generateSeq
     *
     * @param ids 需要启用的数据主键集合
     * @return 结果
     */
    public int enableTSeqByIds(Long[] ids);

    /**
     * 批量禁用generateSeq
     *
     * @param ids 需要禁用的数据主键集合
     * @return 结果
     */
    public int disabledTSeqByIds(Long[] ids);

}
